org.eclipse.mat.snapshot.query

## Class Icons

- java.lang.Object
- - org.eclipse.mat.snapshot.query.Icons

    public final class Icons
    extends Object

A factory class for well-known icons, such as object, class and class loader.

### Field Summary

Fields
`static URL` `ARRAY_INSTANCE` An array instance.
`static URL` `ARRAY_INSTANCE_AS_GC_ROOT` An array instance decorated as Garbage Collection Root.
`static URL` `CLASS` A Java class icon.
`static URL` `CLASS_IN` inbound reference to a class
`static URL` `CLASS_IN_MIXED` A Java class grey/green inbound icon.
`static URL` `CLASS_IN_OLD` A Java class grey inbound icon.
`static URL` `CLASS_INSTANCE` An instance of java.lang.Class
`static URL` `CLASS_INSTANCE_AS_GC_ROOT` An instance of java.lang.Class decorated as Garbage Collection Root.
`static URL` `CLASS_OUT` outbound reference from a class
`static URL` `CLASS_OUT_MIXED` A Java class grey/green outbound icon.
`static URL` `CLASS_OUT_OLD` A Java class grey outbound icon.
`static URL` `CLASSLOADER_INSTANCE` A class loader instance.
`static URL` `CLASSLOADER_INSTANCE_AS_GC_ROOT` A class loader instance decorated as Garbage Collection Root.
`static URL` `OBJECT_INSTANCE` A Java object.
`static URL` `OBJECT_INSTANCE_AS_GC_ROOT` A Java object decorated as Garbage Collection Root.
`static URL` `PACKAGE` A Java package.
`static URL` `SUPERCLASS` A Java superclass.

### Constructor Summary

Constructors
Constructor and Description
`Icons()`

### Method Summary

All Methods Static Methods Concrete Methods
`static URL` `forObject(ISnapshot snapshot, int objectId)` Construct an icon URL for the current object pointing to the right image and containing the right GC decoration.
`static URL` `getURL(String imageName)` Retrieve a URL for a named image.
`static URL` `inbound(ISnapshot snapshot, int objectId)` Construct an inbound reference icon URL for the current object pointing to the right image and containing the right GC decoration.
`static URL` `outbound(ISnapshot snapshot, int objectId)` Construct an outbound reference icon URL for the current object pointing to the right image and containing the right GC decoration.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLASS

    public static final URL CLASS

A Java class icon.

#### CLASS_IN

    public static final URL CLASS_IN

inbound reference to a class

#### CLASS_OUT

    public static final URL CLASS_OUT

outbound reference from a class

#### CLASS_IN_OLD

    public static final URL CLASS_IN_OLD

A Java class grey inbound icon. Used to show that all the instances of the class have already been seen.

#### CLASS_OUT_OLD

    public static final URL CLASS_OUT_OLD

A Java class grey outbound icon. Used to show that all the instances of the class have already been seen.

#### CLASS_IN_MIXED

    public static final URL CLASS_IN_MIXED

A Java class grey/green inbound icon. Used to show that some of the instances of the class have already been seen.

#### CLASS_OUT_MIXED

    public static final URL CLASS_OUT_MIXED

A Java class grey/green outbound icon. Used to show that some of the instances of the class have already been seen.

#### OBJECT_INSTANCE

    public static final URL OBJECT_INSTANCE

A Java object.

#### CLASS_INSTANCE

    public static final URL CLASS_INSTANCE

An instance of java.lang.Class

#### ARRAY_INSTANCE

    public static final URL ARRAY_INSTANCE

An array instance.

#### CLASSLOADER_INSTANCE

    public static final URL CLASSLOADER_INSTANCE

A class loader instance.

#### OBJECT_INSTANCE_AS_GC_ROOT

    public static final URL OBJECT_INSTANCE_AS_GC_ROOT

A Java object decorated as Garbage Collection Root.

#### CLASS_INSTANCE_AS_GC_ROOT

    public static final URL CLASS_INSTANCE_AS_GC_ROOT

An instance of java.lang.Class decorated as Garbage Collection Root.

#### ARRAY_INSTANCE_AS_GC_ROOT

    public static final URL ARRAY_INSTANCE_AS_GC_ROOT

An array instance decorated as Garbage Collection Root.

#### CLASSLOADER_INSTANCE_AS_GC_ROOT

    public static final URL CLASSLOADER_INSTANCE_AS_GC_ROOT

A class loader instance decorated as Garbage Collection Root.

#### PACKAGE

    public static final URL PACKAGE

A Java package.

#### SUPERCLASS

    public static final URL SUPERCLASS

A Java superclass.

Since:
  1.0

### Constructor Detail

#### Icons

    public Icons()

### Method Detail

#### forObject

    public static final URL forObject(ISnapshot snapshot,
                                      int objectId)

Construct an icon URL for the current object pointing to the right image and containing the right GC decoration.

Parameters:
  `snapshot` - the snapshot
  `objectId` - the object
Returns:
  URL of the icon

#### inbound

    public static final URL inbound(ISnapshot snapshot,
                                    int objectId)

Construct an inbound reference icon URL for the current object pointing to the right image and containing the right GC decoration.

Parameters:
  `snapshot` - the snapshot
  `objectId` - the object
Returns:
  URL of the icon

#### outbound

    public static final URL outbound(ISnapshot snapshot,
                                     int objectId)

Construct an outbound reference icon URL for the current object pointing to the right image and containing the right GC decoration.

Parameters:
  `snapshot` - the snapshot
  `objectId` - the object
Returns:
  URL of the icon

#### getURL

    public static URL getURL(String imageName)

Retrieve a URL for a named image.

Parameters:
  `imageName` - the image
Returns:
  the URL used to retrieve the icon.